Redmine - Patch #14138

Output changeset comment in html title
2013-05-24 09:38 - Toshi MARUYAMA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 2.4.0

Description

diff --git a/app/views/repositories/revision.html.erb b/app/views/repositories/revision.html.erb
--— a/app/views/repositories/revision.html.erb

+++ b/app/views/repositories/revision.html.erb

@@ -94,4 +94,8 @@

<%= stylesheet_link_tag "scm" %>

<% end %>
—-<% html_title("#{1l(:label_revision)} #{format_revision (@changeset)}") -%>
+<%
+ title = "#{1l(:label_revision)} #{format_revision (@changeset) }"

+ title << " #{truncate (@changeset.comments, :length => 80)}"
+ html_title(title)
+ -%>

Associated revisions

Revision 11908 - 2013-05-30 09:41 - Toshi MARUYAMA
add test of revision page title (#14138)

Revision 11909 - 2013-05-30 10:05 - Toshi MARUYAMA

add changeset comment in revision page title (#14138)

History

#1 - 2013-05-24 09:40 - Toshi MARUYAMA

- Subject changed from Output changeset title in html title to Output changeset commnet in html title

#2 - 2013-05-24 09:49 - Daniel Felix

- Subject changed from Output changeset commnet in html title to Output changeset comment in html title

#3 - 2013-05-24 10:02 - Daniel Felix
Hi Toshi,

| applied your change. But | can't recognize any change. Can you give me a hint where to look for a change?

Best regards,
Daniel

#4 - 2013-05-24 10:14 - Toshi MARUYAMA
- File old.png added
- File patch.png added

These are images.

no patch
Revision 0:0cf596b9cbb?2 - test02 - Redmine - Mozilla Firefox
File Edit View History Bookmarks GMarks Tools Help

4 Revision 0:0cf596b9cbb2 - t... | &5
Home My page Projects Administration Help

test01 » test02 search: ([

Overview  Activity Issues New issue Gantt Calendar News Document

Revision 0:0cf596b9cbb?2

1D 0cf596h9chbb2
Added by Toshi MARUYAMA about 1 hour ago

test&toF <=7

Related issues

Files
View differences
Home My page Projects Administration Help

test01 » test02 search: ([
Revision 0:0cf596b9cbh

ID 0cf596b9chb2

Added by Toshi MARUYAMA about 1 Lol ago
Files
#5 - 2013-05-24 10:20 - Daniel Felix
Ah thanks! Haven't noticed it as | tested it in IE10 with tabs.

Seems to work, no problems. For my instance.
#6 - 2013-05-31 02:13 - Toshi MARUYAMA
- Status changed from New to Closed

- Target version set to 2.4.0

Committed in trunk r11909.

Files
old.png 44.8 KB 2013-05-24 Toshi MARUYAMA
patch.png 54.9 KB 2013-05-24 Toshi MARUYAMA
